Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.engine.spi
Enum ExecuteUpdateResultCheckStyle

    java.lang.Object
      java.lang.Enum<ExecuteUpdateResultCheckStyle>
          org.hibernate.engine.spi.ExecuteUpdateResultCheckStyle

All Implemented Interfaces:
  Serializable, Comparable<ExecuteUpdateResultCheckStyle>

    public enum ExecuteUpdateResultCheckStyle

extends Enum<ExecuteUpdateResultCheckStyle>

For persistence operations (INSERT, UPDATE, DELETE) what style of determining results (success/failure) is to be used.

Enum Constant Summary
`COUNT` Perform row-count checking.
`NONE` Do not perform checking.
`PARAM` Essentially the same as `COUNT` except that the row count actually comes from an output parameter registered as part of a `CallableStatement`.

Method Summary
`static ExecuteUpdateResultCheckStyle` | `determineDefault(String customSql, boolean callable)`
`static ExecuteUpdateResultCheckStyle` | `fromExternalName(String name)`
`static ExecuteUpdateResultCheckStyle` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ExecuteUpdateResultCheckStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final ExecuteUpdateResultCheckStyle NONE

  Do not perform checking. Either user simply does not want checking, or is indicating a `CallableStatement` execution in which the checks are being performed explicitly and failures are handled through propagation of `SQLException`s.

### COUNT

    public static final ExecuteUpdateResultCheckStyle COUNT

  Perform row-count checking. Row counts are the int values returned by both `PreparedStatement.executeUpdate()` and `Statement.executeBatch()`. These values are checked against some expected count.

### PARAM

    public static final ExecuteUpdateResultCheckStyle PARAM

  Essentially the same as `COUNT` except that the row count actually comes from an output parameter registered as part of a `CallableStatement`. This style explicitly prohibits statement batching from being used...

Method Detail

### values

    public static ExecuteUpdateResultCheckStyle[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ExecuteUpdateResultCheckStyle c : ExecuteUpdateResultCheckStyle.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ExecuteUpdateResultCheckStyle valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### fromExternalName

    public static ExecuteUpdateResultCheckStyle fromExternalName(String name)

### determineDefault

    public static ExecuteUpdateResultCheckStyle determineDefault(String customSql,
                                                                 boolean callable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.